﻿* Encoding: UTF-8.
DATASET ACTIVATE DataSet1.
USE ALL.
COMPUTE filter_$=(Nvalid (Creativity_TCTDP + InhibitionIncongruentRT + MeanRTShift + 
    MathCrea_Original + MathCrea_Fluency + MathCrea_Flexibility + MathKnowledge_Cito + 
    UpdatingCombined)).
VARIABLE LABELS filter_$ 'Nvalid (Creativity_TCTDP + InhibitionIncongruentRT + MeanRTShift + '+
    'MathCrea_Original + MathCrea_Fluency + MathCrea_Flexibility + MathKnowledge_Cito + '+
    'UpdatingCombined) (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

SORT CASES BY filter_$(A).

DESCRIPTIVES VARIABLES=AgeDecimalen Geslacht Creativity_TCTDP InhibitionIncongruentRT MeanRTShift 
    MathCrea_Original MathCrea_Fluency MathCrea_Flexibility MathKnowledge_Cito
  /STATISTICS=MEAN STDDEV MIN MAX KURTOSIS SKEWNESS.

* check for normality

EXAMINE VARIABLES=UpdatingCombined Creativity_TCTDP InhibitionIncongruentRT MeanRTShift 
    MathCrea_Original MathCrea_Fluency MathCrea_Flexibility MathKnowledge_Cito
  /PLOT BOXPLOT STEMLEAF HISTOGRAM NPPLOT
  /COMPARE GROUPS
  /PERCENTILES(5,10,25,50,75,90,95) HAVERAGE
  /STATISTICS DESCRIPTIVES EXTREME
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* descriptives

DESCRIPTIVES VARIABLES=Creativity_TCTDP MathKnowledge_Cito UpdatingCombined MeanRTShift 
    InhibitionIncongruentRT URC_Flu_1 URC_Flex_1 URC_Org_1 URC_Flu_3 URC_Flex_3 URC_Org_3 URC_Flu_4 
    URC_Flex_4 URC_Org_4
  /STATISTICS=MEAN STDDEV RANGE MIN MAX KURTOSIS SKEWNESS.

* spearman correlations

NONPAR CORR
  /VARIABLES=Creativity_TCTDP MathKnowledge_Cito UpdatingCombined MeanRTShift InhibCongruentRT 
    Math_DT
  /PRINT=SPEARMAN TWOTAIL NOSIG
  /MISSING=PAIRWISE.
